Get statistics for a monitor
curl --request GET \
--url https://api.justanotheruptime.com/monitors/{id}/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justanotheruptime.com/monitors/{id}/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justanotheruptime.com/monitors/{id}/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uptime": 123,
"averageResponseTime": 123,
"totalChecks": 123,
"successfulChecks": 123,
"failedChecks": 123,
"lastCheck": {}
}Monitors
Get statistics for a monitor
GET
/
monitors
/
{id}
/
statistics
Get statistics for a monitor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Return the monitor statistics.
The uptime percentage
The average response time in milliseconds
The total number of checks performed
The number of successful checks
The number of failed checks
The last check performed